%define origname logging-log4j

Name: log4j
Version: 1.2.14
Release: alt2

Summary: A logging library for Java
Group: System/Libraries
License: Apache
URL: http://jakarta.apache.org/log4j/

%define pkgdocdir	%_docdir/%name-%version

Source: http://jakarta.apache.org/log4j/%origname-%version.tar.gz
Source1: %name.build.properties
Source2: %name-chainsaw.sh.in
Source3: %name-logfactor5.sh.in

BuildArch: noarch

BuildPreReq: rpm-build-java
BuildRequires: /proc
BuildRequires: ant
BuildRequires: xml-commons-apis jaxp_parser_impl
BuildRequires: jaf javamail


%package utils
Summary: Utilities coming with log4j
Group: Monitoring
Requires: %name = %version-%release
Requires: java-common j2se

%package manual
Summary: Documentation to log4j
Group: Development/Java
Requires: %name-javadoc = %version-%release

%package javadoc
Summary: Javadoc to log4j
Group: Development/Java

%package contrib
Summary: Contributed sources to log4j
Group: Development/Java
Requires: %name = %version-%release

%description
Log4j is a reliable, fast and extensible logging library for Java.

%description utils
Command line launchers for log monitoring utilities coming with log4j.
The utilities featured are Chainsaw and LogFactor5.

%description manual
Log4j is a reliable, fast and extensible logging library for Java.

This package contains a log4j manual in HTML format.

%description javadoc
Javadoc-generated API documentation to log4j, a logging library for Java.

%description contrib
Log4j is a reliable, fast and extensible logging library for Java.

This package contains various source files contributed to
the log4j distribution.

%prep
%setup -q -n %origname-%version
cp %SOURCE1 build.properties
find . -name '*.jar' -delete

%build
%ant_build -Dlib.dir=%_javadir -Djavac.source=1.2 jar javadoc

sed -e 's,@libdir@,%_target_libdir,g' \
    -e 's,@sysconfdir@,%_sysconfdir,g' \
    -e 's,@javadir@,%_javadir,g' \
  < %SOURCE2 >chainsaw
sed -e 's,@libdir@,%_target_libdir,g' \
    -e 's,@sysconfdir@,%_sysconfdir,g' \
    -e 's,@javadir@,%_javadir,g' \
  < %SOURCE3 >logfactor5

%install
mkdir -p %buildroot%_javadir
install -p -m644 dist/lib/log4j-%version.jar %buildroot%_javadir/%name.jar

mkdir -p %buildroot%_bindir
install -m755 chainsaw logfactor5 %buildroot%_bindir/

install -d -m755 %buildroot%pkgdocdir
install -p -m644 LICENSE %buildroot%pkgdocdir
cp -a docs/* %buildroot%pkgdocdir/

mkdir -p %buildroot%_javadocdir
mv %buildroot%pkgdocdir/api %buildroot%_javadocdir/%name
ln -s $(relative %_javadocdir/%name %pkgdocdir/) %buildroot%pkgdocdir/api

cp -a contribs %buildroot%pkgdocdir/

%files
%_javadir/*
%dir %pkgdocdir
%pkgdocdir/*.txt

%files utils
%_bindir/*

%files manual
%pkgdocdir
%exclude %pkgdocdir/*.txt

%files javadoc
%_javadocdir/%name

%files contrib
%dir %pkgdocdir
%pkgdocdir/contribs

%changelog
* Wed Apr 18 2007 Damir Shayhutdinov <damir@altlinux.ru> 1.2.14-alt2
- Built with java-1.6.0

* Sat Feb 03 2007 Damir Shayhutdinov <damir@altlinux.ru> 1.2.14-alt1
- New version

* Sat Mar 04 2006 Mikhail Zabaluev <mhz@altlinux.ru> 1.2.13-alt1
- 1.2.13

* Mon Sep 12 2005 Mikhail Zabaluev <mhz@altlinux.ru> 1.2.12-alt1
- Updated to 1.2.12

* Sun Jan 16 2005 Mikhail Zabaluev <mhz@altlinux.ru> 1.2.9-alt1
- Updated to 1.2.9
- Converted to rpm-build-java macros

* Sat Feb 28 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.2.8-alt2
- Added utils package featuring launchers for Chainsaw and LogFactor5
- buildreq

* Sun Oct 26 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.2.8-alt1
- Updated to 1.2.8
- Added examples to doc package

* Tue May 28 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1.2.3-alt1
- Initial package created
